from qgis.core import QgsGeometry

if hasattr(QgsGeometry, 'asWkt'):
    def geom_as_wkt(geom):
        return geom.asWkt()
else:
    def geom_as_wkt(geom):
        return geom.exportToWkt()

if hasattr(QgsGeometry, 'fromPointXY'):
    from qgis.core import QgsPointXY
    def geom_from_point_xy(point_xy):
        return QgsGeometry.fromPointXY(point_xy)
    def geom_from_coord_xy(x, y):
        return QgsGeometry.fromPointXY(QgsPointXY(x,y))
else:
    from qgis.core import QgsPoint
    def geom_from_point_xy(point_xy):
        return QgsGeometry.fromPoint(point_xy)
    def geom_from_coord_xy(x, y):
        return QgsGeometry.fromPoint(QgsPoint(x,y))
        
